package com.energy.manage.service.util;

import org.springframework.beans.BeansException;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;
import org.springframework.stereotype.Component;

@Component
public class SpringTools implements ApplicationContextAware {

    private static ApplicationContext _applicationContext;

    public SpringTools() { }

    @Override
    public void setApplicationContext(ApplicationContext applicationContext) throws BeansException {
        if (_applicationContext == null) {
            _applicationContext = applicationContext;
        }

    }

    public static ApplicationContext getApplicationContext() {
        return _applicationContext;
    }

    public static Object getBean(String name) {
        return getApplicationContext().getBean(name);
    }

    public static <T> T getBean(Class<T> clazz) {
        return getApplicationContext().getBean(clazz);
    }

    public static <T> T getBean(String name, Class<T> clazz) {
        return getApplicationContext().getBean(name, clazz);
    }
}
